Page MenuHomePhabricator

Add TwoColConflict to the "gated" extensions list in core
Closed, ResolvedPublic

Description

We kindly ask to add the Two-Column-Edit-Conflict-Merge extension to the list of "gated extensions". Means, all changes made to core will trigger the TwoColConflict tests as well, and make the CI fail when a patch would break something in the extension.

Reasoning: We plan to enable the TwoColConflict interface on all Wikimedia wikis by default. As of now it's already enabled on German Wikipedia and a few more (see T244863), and available as a Beta-Feature on all other wikis.

See https://gerrit.wikimedia.org/r/514065 (T222802) for an example patch.

To do:

  • Mark slow tests as such, if needed.
  • Do we need to document this somewhere?

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptApr 28 2020, 1:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 596708 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] gate: Add TwoColConflict

https://gerrit.wikimedia.org/r/596708

We have BetaFeatures, EventLogging, and WikiEditor as CI injected dependencies; the middle one is already in the gate, and the third is in the tarball, but the first isn't. As it has no dependencies and is pretty trivial, I'll add that one too.

Change 596708 merged by jenkins-bot:
[integration/config@master] gate: Add TwoColConflict

https://gerrit.wikimedia.org/r/596708

Mentioned in SAL (#wikimedia-releng) [2020-05-15T18:21:23Z] <James_F> Zuul: Add TwoColConflict to the gate T251276

Jdforrester-WMF closed this task as Resolved.May 15 2020, 6:56 PM
Jdforrester-WMF claimed this task.

OK, this seems like it hasn't broken the world.

Amazing, thanks a lot!

We have BetaFeatures, EventLogging, and WikiEditor as CI injected dependencies […]

The tests in TwoColConflict are all written to work with and without any of these extensions. Don't worry, neither is critical for TwoColConflict. Independent from that I think it's indeed a good idea to have BetaFeatures added as well, as it is also deployed on the entire cluster, and many teams rely on it.

I looked at that, but we're so far beyond bankrupt with inappropriately-long selenium tests. I don't want to block progress for this one extension when it's a shared anti-pattern.